classification
Title: Incorrectly placed #endif in _tkinter.c.
Type: compile error Stage: resolved
Components: Extension Modules, Tkinter Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: asvetlov Nosy List: asvetlov, bbrazil, loewis, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-06-17 09:57 by serhiy.storchaka, last changed 2012-07-22 10:58 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
tkinter_endif.patch serhiy.storchaka, 2012-06-17 09:57 review
Messages (4)
msg163050 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-06-17 09:57
#endif is placed incorrectly in _tkinter.c. As a result, braces are unbalanced when TCL_UTF_MAX != 3. This is Python 3.3 only error.

There are no tests yet. Just wait a few years until TCL will support non-BMP characters or use a time machine.
msg164813 - (view) Author: Brian Brazil (bbrazil) * Date: 2012-07-07 10:37
Issue confirmed, patch looks good.
msg166119 - (view) Author: Roundup Robot (python-dev) Date: 2012-07-22 10:57
New changeset 657673a37dd3 by Andrew Svetlov in branch 'default':
#15094: fix incorrectly placed #endif in _tkinter.c.
http://hg.python.org/cpython/rev/657673a37dd3
msg166120 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-07-22 10:58
Fixed. Thanks, Serhiy!
History
Date User Action Args
2012-07-22 10:58:50asvetlovsetstatus: open -> closed

assignee: asvetlov

nosy: + asvetlov
messages: + msg166120
resolution: fixed
stage: resolved
2012-07-22 10:57:21python-devsetnosy: + python-dev
messages: + msg166119
2012-07-07 10:37:19bbrazilsetnosy: + bbrazil
messages: + msg164813
2012-06-17 10:28:13pitrousetnosy: + loewis
2012-06-17 09:57:26serhiy.storchakacreate